Description

Hi there,

| am updating some code which uses Understanding Society data. The code was last ran in 2015 (by a former colleague who is no
longer in the team) and used data from wave ¢ (2011-2012). | am trying to rerun the code using more up-to-date data from wave j
(2018-9).

The code | have inherited uses the c_adresp17 - defined here:
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/variable/adresp17

This flag was removed from Understanding Society following wave e (f onwards). | wish to recreate this variable.

| think that adresp17 can probably be recreated using the egoalt dataset but it is important that | do so in a way which is consistent
with the adresp17 variable that was provided in the indall datasets for waves a-e.

Would you be able to share the code to create this variable in waves a-e please?

Many thanks for your help
James

History

#1 - 10/26/2021 03:39 AM - Understanding Society User Support Team
- Status changed from New to In Progress

- % Done changed from 0 to 10

Many thanks for your inquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,
Understanding Society User Support Team

#2 - 10/26/2021 03:39 AM - Understanding Society User Support Team

- Private changed from Yes to No

#3 - 10/26/2021 07:38 PM - Understanding Society User Support Team
- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

The variable adresp17 was created automatically during the interview — the rules for creating it can be found in the questionnaire. See on page 32 of
the Wave 5 questionnaire here:
https://www.understandingsociety.ac.uk/sites/default/files/downloads/documentation/mainstage/questionnaire/wave-5/Wave 5_Questionnaire_Consul
tation_v03.pdf?q=3957a0733c2a2f8ee1d1c3b02ebced75ddeb4831

As the variable note here says, this was created based on unedited household grid information. If you now create it with the released data, some
values may not match as some of the relationship codes and age variable have been checked and corrected. While you can use the egoalt file to
create, the parental identifiers are available in indall file.

Best wishes,
Understanding Society User Support Team

#4 - 12/14/2021 01:37 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
